### Class

# RB ChunkLoader

#### Description

    class RB.ChunkLoader : GObject.Object
    {
      RBChunkLoaderPrivate* priv
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### rb_chunk_loader_new

Creates and returns a new `RBChunkLoader` instance.

#### Instance methods

###### rb_chunk_loader_cancel

Cancels the loading operation, ensuring that the callback will not be called again.

###### rb_chunk_loader_get_error

If an error has occurred that prevents the loader from providing any further data, this function will return a `GError`, otherwise NULL.

###### rb_chunk_loader_set_callback

Sets the loader data callback. This will be called with each chunk of data read, or with NULL to indicate the end of the file or that an error has occurred. To determine which of these is the case, call `rb_chunk_loader_get_error`.

###### rb_chunk_loader_start

Starts loading data from the specified URI, passing it in chunks of at most `chunk_size` to the callback.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct RBChunkLoaderClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.